
<div class="admin-col">
  <div class="admin-col-title"><%= t(Meth::ListContent.model_name.human) %></div>
  <div class="admin-col-content">
    <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
      <thead>
        <tr>
          <% Meth::ListContent.locale_columns(:name).each do |column| %>
            <th><%= Meth::ListContent.human_attribute_name column %></th>
          <% end %>
          <th class="sorter-false"><%= Meth::ListContent.human_attribute_name :pos %></th>
          <th class="sorter-false">Dependence</th>
          <th class="sorter-false"></th>
        </tr>
      </thead>

      <% @custom_field_descs.each do |custom_field_desc| %>
        <tbody class='tablesorter-no-sort'>
          <tr>
            <td colspan='4' class='table-raw-full'>
              <%= custom_field_desc.name %>
              <%= link_to fa_icon_add,
                          new_meth_list_content_path(meth_list_content: {custom_field_desc_id: custom_field_desc.id,
                                                                         pos: custom_field_desc.list_contents.size + 1}),
                          method: 'get',
                          class: 'btn btn-outline-dark icon-btn',
                          remote: true %>
              <%= link_to fa_icon_add+'&nbsp;CSV'.html_safe,
                          meth_list_content_new_from_csv_path(meth_list_content: {custom_field_desc_id: custom_field_desc.id,
                                                                                  pos: custom_field_desc.list_contents.size + 1}),
                          method: 'get',
                          class: 'btn btn-outline-dark icon-btn',
                          remote: true %>
              <%= link_to 'Export CSV',
                          meth_list_content_export_csv_path(custom_field_desc_id: custom_field_desc.id, format: :csv),
                          method: 'get',
                          class: 'btn btn-outline-dark icon-btn' %>
            </td>
            <td class='table-raw-full'>
              <%= link_to fa_icon_delete('icon-right'), meth_custom_field_desc_delete_all_list_path(id: custom_field_desc.id), method: :delete, data: { confirm: t('confirm.sure') } %>
            </td>
          </tr>
        </tbody>
        <tbody>
          <% sort_type = custom_field_desc.options&.[]('order') == 'alpha' ? 'name' : 'pos' %>
          <% collection = custom_field_desc.reference_collection
             collection = collection.insert(0, [0, '']) if collection %>

          <% custom_field_desc.list_contents.sort{|a,b| a.send(sort_type) <=> b.send(sort_type)}.each do |list_content| %>
            <% @list_content = list_content %>
            <tr>
              <% Meth::ListContent.locale_columns(:name).each do |column| %>
                <td>
                  <%= best_in_place @list_content, column, :as => :input,
                                    ok_button: "&#x2714;".html_safe,
                                    cancel_button: "&#x2718;".html_safe,
                                    display_with: lambda { |val| best_in_place_display(val).html_safe },
                                    html_attrs: { class: 'bip-input' },
                                    class: 'bip-span'
                  %>
                </td>
              <% end %>
              <td><%= list_content.pos %></td>
              <td>
                <% if collection %>
                  <%= list_content.reference_show_field %> /
                  <%= best_in_place @list_content, :ref_value, :as => :select,
                                    collection: collection,

                                    # ok_button: "&#x2714;".html_safe,
                                    # cancel_button: "&#x2718;".html_safe,
                                    display_with: lambda { |val| best_in_place_display(val).html_safe },
                                    html_attrs: { class: 'bip-input', include_blank: true },
                                    class: 'bip-span'
                  %>
                <% end %>
              </td>
              <td>
                <%= link_to fa_icon_delete('icon-right'), list_content, method: :delete, data: { confirm: t('confirm.sure') } %>
                <%= link_to fa_icon_arrow_up('icon-right'), meth_list_content_down_path(id: list_content), method: :patch if list_content.pos > 1 %>
                <%= link_to fa_icon_arrow_down('icon-right'), meth_list_content_up_path(id: list_content), method: :patch if list_content.pos < custom_field_desc.list_contents.size %>
              </td>
            </tr>
          <% end %>
        </tbody>
      <% end %>
    </table>
  </div>
</div>

<script text="javascript">
  // $(document).on("turbolinks:load", () => {
  $(function() {
    $('[data-toggle="tablesort"]').tablesorter({
      theme : 'blue'
    });

    $(".best_in_place").best_in_place().on('best_in_place:update', function(event) {
      $name = $(event.target)
      // console.log($name.html());
      $name.append(' <i class="fas fa-edit icon-blue"></i>');
    });
  });
</script>
